Package ru.bitel.bgbilling.modules.vepay.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.vepay.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Map<String,String>`
  `fields`

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doCheck(int contractId)`
  `void`
  `doCheckRequest(Transaction transaction)`
  `void`
  `doPayment(Transaction transaction, String status, PaymentDao paymentDao)`
  `String`
  `doPaymentRequest(Transaction transaction, BigDecimal sum, String description, String successurl, String failurl, boolean regcard)`
  `Transaction`
  `doRecurrentRequest(int contractId, BigDecimal sum, String cardId)`
  `String`
  `getFormatSum(BigDecimal sum)`
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `String`
  `getReceipt(BigDecimal sum, String customerAddress, String contractTitle)`
  `String`
  `getReceiptSignature(Object shopIdp, Object orderIdp, Object subTotalP, Object receipt)`
  `Transaction`
  `getTransactionByTransactionId(String transactionId)`
  `protected int`
  `psSetStatus(PreparedStatement ps, int index, String status)`
  `protected void`
  `queryStatus(StringBuilder query, String status)`
  `protected void`
  `setConnectionTimeout(HttpsURLConnection connection)`
  `protected void`
  `updateImpl(Transaction transaction)`

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, queryId, searchTransaction, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fields

    public Map<String,String> fields

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### queryStatus

    protected void queryStatus(StringBuilder query, String status)
    Overrides:
      `queryStatus` in class `AbstractTransactionManager<Transaction>`

  - ### psSetStatus

    protected int psSetStatus(PreparedStatement ps, int index, String status) throws SQLException
    Overrides:
      `psSetStatus` in class `AbstractTransactionManager<Transaction>`
    Throws:
      `SQLException`

  - ### getTransactionByTransactionId

    public Transaction getTransactionByTransactionId(String transactionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doCheck

    public void doCheck(int contractId)

  - ### doCheckRequest

    public void doCheckRequest(Transaction transaction)

  - ### doPayment

    public void doPayment(Transaction transaction, String status, PaymentDao paymentDao) throws Exception
    Throws:
      `Exception`

  - ### doPaymentRequest

    public String doPaymentRequest(Transaction transaction, BigDecimal sum, String description, String successurl, String failurl, boolean regcard)

  - ### doRecurrentRequest

    public Transaction doRecurrentRequest(int contractId, BigDecimal sum, String cardId) throws Exception
    Throws:
      `Exception`

  - ### getFormatSum

    public String getFormatSum(BigDecimal sum)

  - ### getReceipt

    public String getReceipt(BigDecimal sum, String customerAddress, String contractTitle)

  - ### getReceiptSignature

    public String getReceiptSignature(Object shopIdp, Object orderIdp, Object subTotalP, Object receipt)

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### setConnectionTimeout

    protected void setConnectionTimeout(HttpsURLConnection connection)
    Overrides:
      `setConnectionTimeout` in class `AbstractTransactionManager<Transaction>`